Subject: LRO: Re: LRO Mailing List DIGEST * * * * V1 #427

From: [email-masked]
Date: Sat, 30 Jun 2001 02:19:34 EDT

I have for sale 2 rovers and some accessories. One is a 1960 ser. II trop 
top. Its clean, rust free, od equipped and driven daily. The other is a ser. 
II-a hardtop which is a great candidate for restoration. Its od equipped and 
was driven till I lost compression on #3 and parked it. If you are interested 
contact me at [email-masked].
   I also have a spare wheel and tire for a 1988 range rover.

                                                Thanks for the posting,

                                                            Ron